#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys
import os

import sys, os, platform
from distutils.core import setup

# Get current Python version
python_version = platform.python_version_tuple()

# Setup the default install prefix
prefix = sys.prefix

# Check our python is version 2.6 or higher
if python_version[0] >= 2 and python_version[1] >= 6:
    ## Set file location prefix accordingly
    prefix = '/usr/local'

# Get the install prefix if one is specified from the command line
for arg in sys.argv:
    if arg.startswith('--prefix='):
        prefix = arg[9:]
        prefix = os.path.expandvars(prefix)

infile = open(os.path.join('commiecc', 'conf.py.in'))
data = infile.read().replace('@PREFIX@', prefix)
infile.close()

outfile = open(os.path.join('commiecc', 'conf.py'), 'w')
outfile.write(data)
outfile.close()

from distutils.core import setup

setup(
    name='CommieCC',
    version='0.1alpha',
    description='Classroom controller',
    long_description='A plugin-able slave-master application for managing a computer classroom',
    author='J. Félix Ontañón',
    author_email='felixonta@gmail.com',
    url='https://launchpad.net/commiecc',

    classifiers=[
        'Development Status :: 0.1 - Alpha',
        'Environment :: Desktop Environment',
        'Intended Audience :: Education',
        'License :: OSI Approved :: GNU General Public License (GPL)'
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Topic :: Desktop Environment :: Gnome',
        'Topic :: Utilities'],
    
    keywords = ['classroom', 'control', 'master', 'slave', 'plugin'],
    requires = ['PyGTK', 'dbuspython'],

    packages = ['commiecc', 'commiecc.classcontrol', 'commiecc.masterlib',
                'commiecc.slavelib'],
    package_dir = {'commiecc': 'commiecc'},
    
    scripts = ['commiecc-screen-locker', 'commiecc-slave', 
                'commie-class-control'],

    data_files = [('share/commiecc/data/img', 
                        ['data/img/commiecc-artwork192x192.png', 
                        'data/img/commiecc-c-logo-bg64x64.png']),
                    ('share/commiecc/data', 
                        ['data/classcontrol.ui', 
                        'data/lock_screen.ui']),
                    ('share/commiecc/master-plugins',
                        ['master-plugins/examplemenu.py',
                        'master-plugins/exampletab.py',
                        'master-plugins/exampletab.ui',
                        'master-plugins/messagemenu.ui']),
                    ('share/commiecc/slave-plugins',
                        ['slave-plugins/example.py']),
                    ('share/gdm/autostart/LoginWindow/', 
                        ['commiecc-screen-locker.desktop']),
                    ('/etc/dbus-1/system.d', 
                        ['dbus/commiecc.conf'])]
)
